[Overview][Constants][Types][Classes][Procedures and functions][Variables][Index] | Reference for unit 'Grids' (#lcl)

# TCustomGrid.SaveGridOptions

Saves grid options to the specified XML configuration file.

## Declaration

Source position: grids.pas line 1175

`protected procedure TCustomGrid.SaveGridOptions(`
`cfg: TXMLConfig`
`); virtual;`

## Arguments

`cfg` |  | XML configuration file where values are stored.

## Description

Stores TGridOption and TGridOption2 enumeration values found in the Options and Options2 properties to the XML configuration file specified in cfg. Used in the implementation of the SaveContent method.

Use LoadContent to load option settings into the current grid class instance.

## See also

TGridOption |  | Represents grid option values available for grid controls.
TGridOption2 |  | Represents grid options introduced in Version 2 (or higher) of grid controls.
TCustomGrid.Options |  | Contains the set of optional features and/or behaviors enabled for the grid control.
TCustomGrid.Options2 |  | Contains additional options for scrolling and editor behavior enabled in the grid control.
TCustomGrid.SaveContent |  | Saves design-time configuration, column and row settings, and data to the specified XML configuration file.
TCustomGrid.LoadContent |  | Loads values for the grid control from the specified XML configuration file.